Bug 196451 - Syslinux doesn't obsolete syslinux-devel package
Summary: Syslinux doesn't obsolete syslinux-devel package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: syslinux   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-06-23 13:40 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 14:21:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-06-23 13:40:58 UTC
Description of problem:
Syslinux-devel package was merged back into the main package for 3.11-2, but
the -devel package isn't obsoleted, causing:

$ rpm -qa | grep syslinux
syslinux-devel-3.10-5.i386
syslinux-3.11-2.i386
$

Version-Release number of selected component (if applicable):
syslinux-3.11-2

How reproducible:
Everytime after upgrade from 3.10-5 to 3.11-2

Actual results:
Syslinux doesn't obsolete syslinux-devel package

Expected results:
The following patch should resolve the issue:

--- syslinux.spec       2006-06-12 23:33:58.000000000 +0200
+++ syslinux.spec.rsc   2006-06-23 15:46:04.000000000 +0200
@@ -12,6 +12,7 @@
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 BuildPrereq: nasm >= 0.98.38-1, perl, netpbm-progs
 BuildRequires: /usr/include/gnu/stubs-32.h
+Obsoletes: syslinux-devel
 Autoreq: 0
 %ifarch i386
 Requires: mtools, libc.so.6

Additional info:
Would be very nice, when bug #192854 (EasyFix) also could be resolved on the
next update.

Comment 1 Robert Scheck 2006-08-02 18:41:46 UTC
This has to be fixed until FC6, especially when users are upgrading.

Comment 2 Jesse Keating 2006-08-22 14:21:52 UTC
Added an obsoletes.  Built into rawhide.


Note You need to log in before you can comment on or make changes to this bug.